Package owl.run.modules

## Class OutputWriters

- java.lang.Object
- - owl.run.modules.OutputWriters

-     public final class OutputWriters
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `OutputWriters.AutomatonStats` |
    `static class` | `OutputWriters.ToHoa` | Converts any `HOA printable` object to its corresponding HOA representation.

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static OwlModuleParser.WriterParser` | `AUTOMATON_STATS_CLI` |
    `static OutputWriter` | `HOA` |
    `static OwlModuleParser.WriterParser` | `HOA_CLI` |
    `static OutputWriter` | `NULL` |
    `static OwlModuleParser.WriterParser` | `NULL_CLI` |
    `static OutputWriter` | `TO_STRING` |
    `static OwlModuleParser.WriterParser` | `TO_STRING_CLI` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OutputWriter` | `automatonStats​(String format)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTOMATON_STATS_CLI

          public static final OwlModuleParser.WriterParser AUTOMATON_STATS_CLI

    - #### HOA_CLI

          public static final OwlModuleParser.WriterParser HOA_CLI

    - #### NULL

          public static final OutputWriter NULL

    - #### NULL_CLI

          public static final OwlModuleParser.WriterParser NULL_CLI

    - #### TO_STRING

          public static final OutputWriter TO_STRING

    - #### TO_STRING_CLI

          public static final OwlModuleParser.WriterParser TO_STRING_CLI

    - #### HOA

          public static final OutputWriter HOA

  - ### Method Detail

    - #### automatonStats

          public static OutputWriter automatonStats​(String format)